Skip to main content
POST
/
api
/
v1
/
datasets
/
{dataset_id}
/
annotation-sets
/
{annotation_set_id}
/
annotations
/
bulk
Create Annotations Bulk
curl --request POST \
  --url https://api.example.com/api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/annotations/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "annotations": [
    {
      "audio_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifact_type": "<string>",
      "start_ms": 1,
      "end_ms": 123,
      "confidence": 1,
      "extra_data": {}
    }
  ]
}
'
{
  "created": 123,
  "annotations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "annotation_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "audio_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifact_type": "<string>",
      "start_ms": 123,
      "end_ms": 123,
      "confidence": 123,
      "extra_data": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid>
required
annotation_set_id
string<uuid>
required

Body

application/json

Request to create multiple annotations at once.

annotations
AnnotationCreate · object[]
required

Response

Successful Response

Response for bulk annotation creation.

created
integer
required
annotations
AnnotationResponse · object[]
required